
.menu {
  position:absolute;
  top:3.4%;
  right:2%;
  transform:translate(-50%,-50%);
  width:4.2rem;
  height:4.1rem;
  background:#07889b;
  /* border: 0.1rem solid #333; */
}
.menu span {
  position:absolute;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);  
  width:45px;
  height:4px;
  background:#000;
}
.menu span:nth-child(1) {
  top:30%; 
  transition:all 400ms ease 350ms;
}
.menu span:nth-child(2) {
  transition:all 400ms ease 250ms;
}
.menu span:nth-child(3) {
  transition:all 400ms ease 150ms;
  top:70%;
}
.menu span:nth-child(4) {
  transition:all 250ms ease-in-out 0ms;
  left:150%;
}
.menu span:nth-child(5) {
  transition:all 250ms ease-in-out 0ms;
  left:150%;
}
.menu.active span:nth-child(1) {
  left:-150%;
  transition:left 400ms ease 300ms;
}
.menu.active span:nth-child(2) {
  left:-150%;
  transition:left 400ms ease 200ms;
}
.menu.active span:nth-child(3) {
  left:-150%;
  transition:left 400ms ease 100ms;
}
.menu.active span:nth-child(4) {
  left:50%;
  transform:translate(-50%,-50%) rotate(45deg);
  transition:all 300ms ease 350ms;
}
.menu.active span:nth-child(5) {
  left:50%;
  transform:translate(-50%,-50%) rotate(-45deg);
  transition:all 300ms ease 350ms;
}